Bulletin d'alerte Debian

DSA-955-1 mailman -- Déni de service

Date du rapport :
25 janvier 2006
Paquets concernés :
mailman
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans le système de suivi des bogues Debian : Bogue 339095, Bogue 326024, Bogue 327732.
Dans le dictionnaire CVE du Mitre : CVE-2005-3573, CVE-2005-4153.
Plus de précisions :

Deux bogues de déni de service ont été découverts dans le serveur de listes de diffusion mailman. Le premier bogue était dû à un mauvais traitement des noms de fichiers attachés contenant des chaînes UTF-8, ce qui pouvait provoquer un plantage du serveur. Le second bogue permettait à un message contenant une date mal formatée de provoquer un plantage du serveur.

L'ancienne distribution stable (Woody) n'est pas touchée par ce problème.

Pour l'actuelle distribution stable (Sarge), ce problème a été corrigé dans la version 2.1.5-8sarge1.

Pour la distribution instable (Sid), ce problème a été corrigé dans la version 2.1.5-10.

Nous vous recommandons de mettre à jour votre paquet mailman immédiatement.

Corrigé dans :

Debian GNU/Linux 3.1 (sarge)

Source :
http://security.debian.org/pool/updates/main/m/mailman/mailman_2.1.5-8sarge1.dsc
http://security.debian.org/pool/updates/main/m/mailman/mailman_2.1.5-8sarge1.diff.gz
http://security.debian.org/pool/updates/main/m/mailman/mailman_2.1.5.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/m/mailman/mailman_2.1.5-8sarge1_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/m/mailman/mailman_2.1.5-8sarge1_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/m/mailman/mailman_2.1.5-8sarge1_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/m/mailman/mailman_2.1.5-8sarge1_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/m/mailman/mailman_2.1.5-8sarge1_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/m/mailman/mailman_2.1.5-8sarge1_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/m/mailman/mailman_2.1.5-8sarge1_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/m/mailman/mailman_2.1.5-8sarge1_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/m/mailman/mailman_2.1.5-8sarge1_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/m/mailman/mailman_2.1.5-8sarge1_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/m/mailman/mailman_2.1.5-8sarge1_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/m/mailman/mailman_2.1.5-8sarge1_sparc.deb

Les sommes MD5 des fichiers indiqués sont disponibles sur la page originale de l'alerte de sécurité.